Index: Build
===================================================================
RCS file: Build
diff -N Build
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ Build	23 Feb 2005 17:03:38 -0000	1.2
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+source ../../Config.sh
+
+pp_copyincl_local () {
+    echo "uClibc must be installed seperately into SDK"
+}
+
+pp_build_local () {
+    make oldconfig && make all install fw_install
+}
+
+pp_do "$@"
Index: Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- Makefile	3 Feb 2005 09:05:03 -0000	1.1.309.1
+++ Makefile	3 Feb 2005 10:35:41 -0000	1.2
@@ -186,7 +186,7 @@
 tags:
 	ctags -R
 
-install: install_dev install_runtime install_toolchain install_utils finished2
+install: all install_dev install_runtime install_toolchain install_utils finished2
 
 
 # Installs header files and development library links.
@@ -318,6 +318,8 @@
 		    $(PREFIX)$(SYSTEM_DEVEL_PREFIX)/bin/$(TARGET_ARCH)-uclibc-ldconfig; \
 	    ln -fs $(SYSTEM_DEVEL_PREFIX)/bin/$(TARGET_ARCH)-uclibc-ldconfig \
 		    $(PREFIX)$(DEVEL_TOOL_PREFIX)/bin/ldconfig; \
+	    ln -fs $(TARGET_ARCH)-uclibc-ldconfig \
+		    $(PREFIX)$(SYSTEM_DEVEL_PREFIX)/bin/ldconfig; \
 	fi;
 endif
 
@@ -477,3 +479,7 @@
 .PHONY: dummy subdirs release distclean clean config oldconfig menuconfig
 
 
+fw_install:
+	install -d $(DESTDIR)/lib
+	cp -a $(PREFIX)$(DEVEL_PREFIX)/lib/*.so* $(DESTDIR)/lib/
+	chmod 755 $(DESTDIR)/lib/*.so*
Index: Rules.mak
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/Rules.mak,v
retrieving revision 1.1.309.1
retrieving revision 1.6
diff -u -r1.1.309.1 -r1.6
--- Rules.mak	3 Feb 2005 09:05:03 -0000	1.1.309.1
+++ Rules.mak	9 May 2005 10:45:23 -0000	1.6
@@ -34,9 +34,9 @@
 #        make CROSS=mipsel-linux-
 # will build uClibc for 'mipsel'.
 
-ifndef CROSS
-CROSS=
-endif
+USE_REAL_CROSS = 1
+include $(TOPDIR)/../../Config.mk
+
 CC= $(CROSS)gcc
 AR= $(CROSS)ar
 LD= $(CROSS)ld
@@ -181,9 +181,19 @@
 	PICFLAG+=-fpic
 endif
 
+# Peppercon Hack
+ifeq ($(strip $(TARGET_ARCH)),powerpc)
+	CPU_CFLAGS-y +=-mcpu=405
+endif
+
 # use '-Os' optimization if available, else use -O2, allow Config to override
+ifneq ($(PP_BUILD_TYPE),debug)
+ifneq ($(PP_BUILD_TYPE),debugopt)
+ifneq ($(PP_BUILD_TYPE),dmalloc)
 OPTIMIZATION+=$(call check_gcc,-Os,-O2)
-
+endif
+endif
+endif
 
 # Add a bunch of extra pedantic annoyingly strict checks
 XWARNINGS=$(subst ",, $(strip $(WARNINGS))) -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing
@@ -199,8 +209,29 @@
     LDFLAGS:= $(CPU_LDFLAGS-y) -shared --warn-common --warn-once -z combreloc
     STRIPTOOL:= true -Since_we_are_debugging
 else
+ifeq ($(PP_BUILD_TYPE),debug)
+    OPTIMIZATION += -O
+    CFLAGS += -g
+    LDFLAGS:= $(CPU_LDFLAGS-y) -shared --warn-common --warn-once -z combreloc
+    STRIPTOOL:= true -Since_we_are_debugging
+else
+ifeq ($(PP_BUILD_TYPE),debugopt)
+    OPTIMIZATION += -O
+    CFLAGS += -g
+    LDFLAGS:= $(CPU_LDFLAGS-y) -shared --warn-common --warn-once -z combreloc
+    STRIPTOOL:= true -Since_we_are_debugging
+else
+ifeq ($(PP_BUILD_TYPE),dmalloc)
+    OPTIMIZATION += -O
+    CFLAGS += -g
+    LDFLAGS:= $(CPU_LDFLAGS-y) -shared --warn-common --warn-once -z combreloc
+    STRIPTOOL:= true -Since_we_are_debugging
+else
     LDFLAGS := $(CPU_LDFLAGS-y) -s -shared --warn-common --warn-once -z combreloc
 endif
+endif
+endif    
+endif
 
 # Sigh, some stupid versions of gcc can't seem to cope with '-iwithprefix include'
 #CFLAGS+=-iwithprefix include
Index: extra/Configs/Config.arm.default
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/extra/Configs/Config.arm.default,v
retrieving revision 1.1.309.1
retrieving revision 1.3
diff -u -r1.1.309.1 -r1.3
--- extra/Configs/Config.arm.default	3 Feb 2005 09:05:04 -0000	1.1.309.1
+++ extra/Configs/Config.arm.default	3 May 2005 13:48:02 -0000	1.3
@@ -6,58 +6,118 @@
 # Target Architecture Features and Options
 #
 HAVE_ELF=y
-CONFIG_GENERIC_ARM=y
-# CONFIG_ARM7TDMI is not set
-# CONFIG_STRONGARM is not set
-# CONFIG_XSCALE is not set
+# CONFIG_GENERIC_ARM is not set
+# CONFIG_ARM610 is not set
+# CONFIG_ARM710 is not set
+# CONFIG_ARM720T is not set
+# CONFIG_ARM920T is not set
+# CONFIG_ARM922T is not set
+CONFIG_ARM926T=y
+# CONFIG_ARM_SA110 is not set
+# CONFIG_ARM_SA1100 is not set
+# CONFIG_ARM_XSCALE is not set
+ARCH_LITTLE_ENDIAN=y
+# ARCH_BIG_ENDIAN is not set
 UCLIBC_HAS_MMU=y
 UCLIBC_HAS_FLOATS=y
 HAS_FPU=y
 # DO_C99_MATH is not set
 WARNINGS="-Wall"
-KERNEL_SOURCE="/usr/src/linux"
+KERNEL_SOURCE="/home/chkr/Projects/arm/faraday-linux/arm-linux/arm-linux-2.4.19"
 C_SYMBOL_PREFIX=""
+HAVE_DOT_CONFIG=y
 
 #
 # General Library Settings
 #
 DOPIC=y
 HAVE_SHARED=y
+ADD_LIBGCC_FUNCTIONS=y
 BUILD_UCLIBC_LDSO=y
-LDSO_LDD_SUPPORT=y
+# LDSO_LDD_SUPPORT is not set
+UCLIBC_CTOR_DTOR=y
+# UCLIBC_PROFILING is not set
 UCLIBC_HAS_THREADS=y
-UCLIBC_HAS_LFS=y
+# PTHREADS_DEBUG_SUPPORT is not set
+# UCLIBC_HAS_LFS is not set
 # MALLOC is not set
 MALLOC_930716=y
-HAS_SHADOW=y
-UCLIBC_HAS_REGEX=y
+# MALLOC_GLIBC_COMPAT is not set
+# UCLIBC_DYNAMIC_ATEXIT is not set
+# HAS_SHADOW is not set
 UNIX98PTY_ONLY=y
 ASSUME_DEVPTS=y
+UCLIBC_HAS_TM_EXTENSIONS=y
+UCLIBC_HAS_TZ_CACHING=y
+UCLIBC_HAS_TZ_FILE=y
+UCLIBC_HAS_TZ_FILE_READ_MANY=y
+UCLIBC_TZ_FILE_PATH="/etc/TZ"
 
 #
 # Networking Support
 #
-# UCLIBC_HAS_IPV6 is not set
-# UCLIBC_HAS_RPC is not set
+UCLIBC_HAS_IPV6=y
+UCLIBC_HAS_RPC=y
+# UCLIBC_HAS_FULL_RPC is not set
 
 #
 # String and Stdio Support
 #
+UCLIBC_HAS_CTYPE_TABLES=y
+UCLIBC_HAS_CTYPE_SIGNED=y
+UCLIBC_HAS_CTYPE_UNSAFE=y
+# UCLIBC_HAS_CTYPE_CHECKED is not set
+# UCLIBC_HAS_CTYPE_ENFORCED is not set
 # UCLIBC_HAS_WCHAR is not set
+# UCLIBC_HAS_LOCALE is not set
+# UCLIBC_HAS_HEXADECIMAL_FLOATS is not set
+# UCLIBC_HAS_GLIBC_CUSTOM_PRINTF is not set
 # USE_OLD_VFPRINTF is not set
+UCLIBC_PRINTF_SCANF_POSITIONAL_ARGS=9
+# UCLIBC_HAS_SCANF_GLIBC_A_FLAG is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_NONE is not set
+UCLIBC_HAS_STDIO_BUFSIZ_256=y
+# UCLIBC_HAS_STDIO_BUFSIZ_512 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_1024 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_2048 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_4096 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_8192 is not set
+UCLIBC_HAS_STDIO_BUILTIN_BUFFER_NONE=y
+# UCLIBC_HAS_STDIO_BUILTIN_BUFFER_4 is not set
+# UCLIBC_HAS_STDIO_BUILTIN_BUFFER_8 is not set
+UCLIBC_HAS_STDIO_GETC_MACRO=y
+UCLIBC_HAS_STDIO_PUTC_MACRO=y
+UCLIBC_HAS_STDIO_AUTO_RW_TRANSITION=y
+# UCLIBC_HAS_FOPEN_EXCLUSIVE_MODE is not set
+# UCLIBC_HAS_GLIBC_CUSTOM_STREAMS is not set
+# UCLIBC_HAS_PRINTF_M_SPEC is not set
+UCLIBC_HAS_ERRNO_MESSAGES=y
+UCLIBC_HAS_SYS_ERRLIST=y
+UCLIBC_HAS_SIGNUM_MESSAGES=y
+UCLIBC_HAS_SYS_SIGLIST=y
+UCLIBC_HAS_GNU_GETOPT=y
+
+#
+# Big and Tall
+#
+UCLIBC_HAS_REGEX=y
+# UCLIBC_HAS_WORDEXP is not set
+# UCLIBC_HAS_FTW is not set
+UCLIBC_HAS_GLOB=y
 
 #
 # Library Installation Options
 #
-SHARED_LIB_LOADER_PATH="$(DEVEL_PREFIX)/lib"
-DEVEL_PREFIX="/usr/$(TARGET_ARCH)-linux-uclibc"
+SHARED_LIB_LOADER_PATH="/lib"
+DEVEL_PREFIX="$(FW_TOPDIR)/pplinux/uClibc/_install"
 SYSTEM_DEVEL_PREFIX="$(DEVEL_PREFIX)"
 DEVEL_TOOL_PREFIX="$(DEVEL_PREFIX)/usr"
 
 #
-# uClibc hacking options
+# uClibc development/debugging options
 #
 # DODEBUG is not set
 # DOASSERTS is not set
 # SUPPORT_LD_DEBUG is not set
 # SUPPORT_LD_DEBUG_EARLY is not set
+# UCLIBC_MJN3_ONLY is not set
Index: extra/Configs/Config.powerpc.default
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/extra/Configs/Config.powerpc.default,v
retrieving revision 1.1.309.1
retrieving revision 1.3
diff -u -r1.1.309.1 -r1.3
--- extra/Configs/Config.powerpc.default	3 Feb 2005 09:05:04 -0000	1.1.309.1
+++ extra/Configs/Config.powerpc.default	23 Feb 2005 17:03:38 -0000	1.3
@@ -8,52 +8,105 @@
 HAVE_ELF=y
 UCLIBC_HAS_MMU=y
 UCLIBC_HAS_FLOATS=y
-HAS_FPU=y
+# HAS_FPU is not set
+UCLIBC_HAS_SOFT_FLOAT=y
 # DO_C99_MATH is not set
 WARNINGS="-Wall"
-KERNEL_SOURCE="/usr/src/linux"
+KERNEL_SOURCE="$(FW_TOPDIR)/$(LINUX_KERNEL_DIR)"
 C_SYMBOL_PREFIX=""
+HAVE_DOT_CONFIG=y
 
 #
 # General Library Settings
 #
 DOPIC=y
 HAVE_SHARED=y
+# ADD_LIBGCC_FUNCTIONS is not set
 BUILD_UCLIBC_LDSO=y
-LDSO_LDD_SUPPORT=y
+# LDSO_LDD_SUPPORT is not set
+UCLIBC_CTOR_DTOR=y
+# UCLIBC_PROFILING is not set
 UCLIBC_HAS_THREADS=y
-UCLIBC_HAS_LFS=y
+PTHREADS_DEBUG_SUPPORT=y
+# UCLIBC_HAS_LFS is not set
 # MALLOC is not set
 MALLOC_930716=y
-HAS_SHADOW=y
-UCLIBC_HAS_REGEX=y
+# MALLOC_GLIBC_COMPAT is not set
+# UCLIBC_DYNAMIC_ATEXIT is not set
+# HAS_SHADOW is not set
 UNIX98PTY_ONLY=y
 ASSUME_DEVPTS=y
+UCLIBC_HAS_TM_EXTENSIONS=y
+UCLIBC_HAS_TZ_CACHING=y
+UCLIBC_HAS_TZ_FILE=y
+UCLIBC_HAS_TZ_FILE_READ_MANY=y
+UCLIBC_TZ_FILE_PATH="/etc/TZ"
 
 #
 # Networking Support
 #
-# UCLIBC_HAS_IPV6 is not set
-# UCLIBC_HAS_RPC is not set
+UCLIBC_HAS_IPV6=y
+UCLIBC_HAS_RPC=y
+# UCLIBC_HAS_FULL_RPC is not set
 
 #
 # String and Stdio Support
 #
+UCLIBC_HAS_CTYPE_TABLES=y
+UCLIBC_HAS_CTYPE_SIGNED=y
+UCLIBC_HAS_CTYPE_UNSAFE=y
+# UCLIBC_HAS_CTYPE_CHECKED is not set
+# UCLIBC_HAS_CTYPE_ENFORCED is not set
 # UCLIBC_HAS_WCHAR is not set
+# UCLIBC_HAS_LOCALE is not set
+# UCLIBC_HAS_HEXADECIMAL_FLOATS is not set
+# UCLIBC_HAS_GLIBC_CUSTOM_PRINTF is not set
 # USE_OLD_VFPRINTF is not set
+UCLIBC_PRINTF_SCANF_POSITIONAL_ARGS=9
+# UCLIBC_HAS_SCANF_GLIBC_A_FLAG is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_NONE is not set
+UCLIBC_HAS_STDIO_BUFSIZ_256=y
+# UCLIBC_HAS_STDIO_BUFSIZ_512 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_1024 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_2048 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_4096 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_8192 is not set
+UCLIBC_HAS_STDIO_BUILTIN_BUFFER_NONE=y
+# UCLIBC_HAS_STDIO_BUILTIN_BUFFER_4 is not set
+# UCLIBC_HAS_STDIO_BUILTIN_BUFFER_8 is not set
+UCLIBC_HAS_STDIO_GETC_MACRO=y
+UCLIBC_HAS_STDIO_PUTC_MACRO=y
+UCLIBC_HAS_STDIO_AUTO_RW_TRANSITION=y
+# UCLIBC_HAS_FOPEN_EXCLUSIVE_MODE is not set
+# UCLIBC_HAS_GLIBC_CUSTOM_STREAMS is not set
+# UCLIBC_HAS_PRINTF_M_SPEC is not set
+UCLIBC_HAS_ERRNO_MESSAGES=y
+UCLIBC_HAS_SYS_ERRLIST=y
+UCLIBC_HAS_SIGNUM_MESSAGES=y
+UCLIBC_HAS_SYS_SIGLIST=y
+UCLIBC_HAS_GNU_GETOPT=y
+
+#
+# Big and Tall
+#
+UCLIBC_HAS_REGEX=y
+# UCLIBC_HAS_WORDEXP is not set
+# UCLIBC_HAS_FTW is not set
+UCLIBC_HAS_GLOB=y
 
 #
 # Library Installation Options
 #
-SHARED_LIB_LOADER_PATH="$(DEVEL_PREFIX)/lib"
-DEVEL_PREFIX="/usr/$(TARGET_ARCH)-linux-uclibc"
+SHARED_LIB_LOADER_PATH="/lib"
+DEVEL_PREFIX="$(FW_TOPDIR)/pplinux/uClibc/_install"
 SYSTEM_DEVEL_PREFIX="$(DEVEL_PREFIX)"
 DEVEL_TOOL_PREFIX="$(DEVEL_PREFIX)/usr"
 
 #
-# uClibc hacking options
+# uClibc development/debugging options
 #
 # DODEBUG is not set
 # DOASSERTS is not set
 # SUPPORT_LD_DEBUG is not set
 # SUPPORT_LD_DEBUG_EARLY is not set
+# UCLIBC_MJN3_ONLY is not set
Index: extra/gcc-uClibc/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/extra/gcc-uClibc/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- extra/gcc-uClibc/Makefile	3 Feb 2005 09:05:04 -0000	1.1.309.1
+++ extra/gcc-uClibc/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -51,7 +51,7 @@
 endif
 
 gcc-uClibc: gcc-uClibc.h gcc-uClibc.c
-	$(HOSTCC) $(HOSTCFLAGS) -s gcc-uClibc.c -o $(TARGET_ARCH)-uclibc-gcc
+	$(HOSTCC) $(HOSTCFLAGS) -DFW_INCLUDE_DIR="\"$(FW_TOPDIR)/include\"" -DLIBROOT="\"$(DESTDIR)\"" -s gcc-uClibc.c -o $(TARGET_ARCH)-uclibc-gcc
 
 ld-uClibc:
 	@echo "#!/bin/sh" > $(TARGET_ARCH)-uclibc-ld
@@ -76,7 +76,7 @@
 	ln -fs $(SYSTEM_DEVEL_PREFIX)/bin/$(TARGET_ARCH)-uclibc-gcc $(PREFIX)$(DEVEL_TOOL_PREFIX)/bin/g++
 endif
 	for app in addr2line ar as cpp gasp nm objcopy \
-	    objdump ranlib size strings strip; do \
+	    objdump ranlib readelf size strings strip; do \
 	  APPNAME=`which $(CROSS)$${app}`; \
 	  if [ -x "$$APPNAME" ] ; then \
 	  ln -fs "$$APPNAME" $(PREFIX)$(DEVEL_TOOL_PREFIX)/bin/$${app}; \
Index: extra/gcc-uClibc/gcc-uClibc.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/extra/gcc-uClibc/gcc-uClibc.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- extra/gcc-uClibc/gcc-uClibc.c	3 Feb 2005 09:05:04 -0000	1.1.309.1
+++ extra/gcc-uClibc/gcc-uClibc.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -199,6 +199,8 @@
 	char *crtbegin_path[2];
 	char *crtend_path[2];
 	const char *application_name;
+	const char *libroot = LIBROOT;
+	const char *fw_include_dir = FW_INCLUDE_DIR;
 #ifdef __UCLIBC_CTOR_DTOR__
 	char *crti_path[2];
 	char *crtn_path[2];
@@ -547,6 +549,7 @@
 		if( libstr )
 			gcc_argv[i++] = libstr;
 		gcc_argv[i++] = our_lib_path[use_build_dir];
+		xstrcat(&(gcc_argv[i++]), "-L", libroot, "/lib", NULL);
 		if (!use_build_dir) {
 			gcc_argv[i++] = our_usr_lib_path;
 		}
@@ -559,16 +562,20 @@
 			if (use_nostdinc_plus) {
 				gcc_argv[i++] = nostdinc_plus;
 			}
-			xstrcat(&cppinc, uClibc_inc[use_build_dir], "g++/", NULL);
+			xstrcat(&cppinc, "/usr/powerpc-pp-linux-uclibc/include/c++/3.3.3", NULL);
 			gcc_argv[i++] = "-isystem";
 			gcc_argv[i++] = cppinc;
-			xstrcat(&cppinc, uClibc_inc[use_build_dir], "g++-v3/", NULL);
+			xstrcat(&cppinc, "/usr/powerpc-pp-linux-uclibc/include/c++/3.3.3/powerpc-pp-linux-uclibc", NULL);
+			gcc_argv[i++] = "-isystem";
+			gcc_argv[i++] = cppinc;
+			xstrcat(&cppinc, "/usr/powerpc-pp-linux-uclibc/include/c++/3.3.3/backward", NULL);
 			gcc_argv[i++] = "-isystem";
 			gcc_argv[i++] = cppinc;
 		}
 #endif
 		gcc_argv[i++] = "-isystem";
 		gcc_argv[i++] = uClibc_inc[use_build_dir];
+		xstrcat(&gcc_argv[i++], "-I", fw_include_dir, NULL);
 		gcc_argv[i++] = "-iwithprefix";
 		gcc_argv[i++] = "include";
 		if( incstr )
@@ -603,14 +610,21 @@
 		for ( l = 0 ; l < k ; l++ ) {
 			if (gcc_argument[l]) gcc_argv[i++] = gcc_argument[l];
 		}
-		if (use_stdlib) {
-			//gcc_argv[i++] = "-Wl,--start-group";
-			gcc_argv[i++] = "-lgcc";
-		}
 		for ( l = 0 ; l < m ; l++ ) {
 			if (libraries[l]) gcc_argv[i++] = libraries[l];
 		}
 		if (use_stdlib) {
+		    if (use_static_linking) {
+				gcc_argv[i++] = "-Wl,--start-group";
+			}
+#ifdef __UCLIBC_CTOR_DTOR__
+			if (cplusplus) {
+				gcc_argv[i++] = "-lgcc_s";
+			}
+#endif
+			gcc_argv[i++] = "-lgcc";
+		}
+		if (use_stdlib) {
 #ifdef __UCLIBC_CTOR_DTOR__
 			if (cplusplus) {
 				gcc_argv[ i++ ] = "-lstdc++";
@@ -618,8 +632,16 @@
 			}
 #endif
 			gcc_argv[i++] = "-lc";
-			gcc_argv[i++] = "-lgcc";
-			//gcc_argv[i++] = "-Wl,--end-group";
+			if (use_static_linking) {
+				gcc_argv[i++] = "-Wl,--end-group";
+			} else {
+#ifdef __UCLIBC_CTOR_DTOR__
+				if (cplusplus) {
+				    gcc_argv[i++] = "-lgcc_s";
+			    }
+#endif
+				gcc_argv[i++] = "-lgcc";
+			}
 		}
 #ifdef __UCLIBC_CTOR_DTOR__
 		if (ctor_dtor) {
Index: include/malloc.h
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/include/malloc.h,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- include/malloc.h	3 Feb 2005 09:05:04 -0000	1.1.309.1
+++ include/malloc.h	3 Feb 2005 10:35:42 -0000	1.2
@@ -119,6 +119,7 @@
 
 /* Allocate SIZE bytes of memory.  */
 extern __malloc_ptr_t malloc __MALLOC_P ((size_t __size)) __attribute_malloc__;
+extern __malloc_ptr_t __malloc __MALLOC_P ((size_t __size)) __attribute_malloc__;
 
 /* Allocate NMEMB elements of SIZE bytes each, all initialized to 0.  */
 extern __malloc_ptr_t calloc __MALLOC_P ((size_t __nmemb, size_t __size))
@@ -129,6 +130,9 @@
 extern __malloc_ptr_t realloc __MALLOC_P ((__malloc_ptr_t __ptr,
 					   size_t __size))
        __attribute_malloc__;
+extern __malloc_ptr_t __realloc __MALLOC_P ((__malloc_ptr_t __ptr,
+					   size_t __size))
+       __attribute_malloc__;
 
 /* Free a block allocated by `malloc', `realloc' or `calloc'.  */
 extern void free __MALLOC_P ((__malloc_ptr_t __ptr));
Index: include/netinet/in.h
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/include/netinet/in.h,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- include/netinet/in.h	3 Feb 2005 09:05:05 -0000	1.1.309.1
+++ include/netinet/in.h	3 Feb 2005 10:35:42 -0000	1.2
@@ -269,10 +269,11 @@
 /* Get machine dependent optimized versions of byte swapping functions.  */
 #include <bits/byteswap.h>
 
-#ifndef __OPTIMIZE__
-#define __OPTIMIZE__
-#endif
-#ifdef __OPTIMIZE__
+//thomas: crap???
+//#ifndef __OPTIMIZE__
+//#define __OPTIMIZE__
+//#endif
+//#ifdef __OPTIMIZE__
 /* We can optimize calls to the conversion functions.  Either nothing has
    to be done or we are using directly the byte-swapping functions which
    often can be inlined.  */
@@ -291,7 +292,7 @@
 #   define htons(x)	__bswap_16 (x)
 #  endif
 # endif
-#endif
+//#endif
 
 #define IN6_IS_ADDR_UNSPECIFIED(a) \
 	(((__const uint32_t *) (a))[0] == 0				      \
Index: ldso/ldso/readelflib1.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/ldso/ldso/readelflib1.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- ldso/ldso/readelflib1.c	3 Feb 2005 09:05:14 -0000	1.1.309.1
+++ ldso/ldso/readelflib1.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -223,9 +223,9 @@
 	const char *pnt, *pnt1;
 	struct elf_resolve *tpnt1;
 	const char *libname;
-	const char libc6[] = "libc.so.6";
-	const char libc5[] = "libc.so.5";
-	const char aborted_wrong_lib[] = "%s: aborted attempt to load %s!\n";
+	const char * libc6 = "libc.so.6";
+	const char * libc5 = "libc.so.5";
+	const char * aborted_wrong_lib = "%s: aborted attempt to load %s!\n";
 
 	_dl_internal_error_number = 0;
 	libname = full_libname;
Index: ldso/ldso/powerpc/elfinterp.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/ldso/ldso/powerpc/elfinterp.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- ldso/ldso/powerpc/elfinterp.c	3 Feb 2005 09:05:14 -0000	1.1.309.1
+++ ldso/ldso/powerpc/elfinterp.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -390,7 +390,8 @@
 			*reloc_addr = (unsigned long)tpnt->loadaddr + addend;
 			break;
 		case R_PPC_ADDR32:
-			*reloc_addr += symbol_addr;
+		case R_PPC_GLOB_DAT:
+			*reloc_addr = symbol_addr + (unsigned long)rpnt->r_addend;
 			break;
 		case R_PPC_ADDR16_HA:
 			/* XXX is this correct? */
@@ -429,9 +430,6 @@
 			}
 			break;
 			}
-		case R_PPC_GLOB_DAT:
-			*reloc_addr += symbol_addr;
-			break;
 		case R_PPC_COPY:
 			// handled later
 			break;
Index: ldso/libdl/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/ldso/libdl/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- ldso/libdl/Makefile	3 Feb 2005 09:05:14 -0000	1.1.309.1
+++ ldso/libdl/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -70,7 +70,7 @@
 	$(LD) $(LDFLAGS) -soname=$(LIBDL_SHARED).$(MAJOR_VERSION) \
 		-o $(LIBDL_SHARED_FULLNAME) --whole-archive $(LIBDL_PIC) \
 		--no-whole-archive $(TOPDIR)/libc/misc/internals/interp.o \
-		-L$(TOPDIR)/lib -lc;
+		-L$(TOPDIR)/lib -lc $(LDADD_LIBFLOAT) $(LIBGCC);
 	install -d $(TOPDIR)lib
 	rm -f $(TOPDIR)lib/$(LIBDL_SHARED_FULLNAME) $(TOPDIR)lib/$(LIBDL_SHARED).$(MAJOR_VERSION)
 	install -m 644 $(LIBDL_SHARED_FULLNAME) $(TOPDIR)lib;
Index: ldso/man/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/ldso/man/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- ldso/man/Makefile	3 Feb 2005 09:05:14 -0000	1.1.309.1
+++ ldso/man/Makefile	23 Feb 2005 17:03:38 -0000	1.2
@@ -20,7 +20,7 @@
 # other sundry sources.  Files within this library are copyright by their
 # respective copyright holders.
 
-include ../Config.mk
+include ../../Config.mk
 
 ALL = #ld.so.info
 
Index: ldso/util/ldd.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/ldso/util/ldd.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- ldso/util/ldd.c	3 Feb 2005 09:05:14 -0000	1.1.309.1
+++ ldso/util/ldd.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -100,6 +100,10 @@
 #define ELFCLASSM    ELFCLASS32
 #endif
 
+#if defined (__x86_64__)
+#define MATCH_MACHINE(x) ((x) == EM_X86_64)
+#define ELFCLASSM    ELFCLASS64
+#endif
 
 #ifndef MATCH_MACHINE
 #warning "You really should add a MATCH_MACHINE() macro for your architecture"
Index: ldso/util/readelf.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/ldso/util/readelf.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- ldso/util/readelf.c	3 Feb 2005 09:05:14 -0000	1.1.309.1
+++ ldso/util/readelf.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -211,7 +211,8 @@
 		case EM_68HC08:		tmp="Motorola MC68HC08 microcontroller"; break;
 		case EM_68HC05:		tmp="Motorola MC68HC05 microcontroller"; break;
 		case EM_SVX:		tmp="Silicon Graphics SVx"; break;
-		case EM_AT19:		tmp="STMicroelectronics ST19 8 bit mc"; break;
+// is not defined for AMD64
+//		case EM_AT19:		tmp="STMicroelectronics ST19 8 bit mc"; break;
 		case EM_VAX:		tmp="Digital VAX"; break;
 		case EM_CRIS:		tmp="Axis Communications 32-bit embedded processor"; break;
 		case EM_JAVELIN:	tmp="Infineon Technologies 32-bit embedded processor"; break;
Index: libc/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/Makefile	3 Feb 2005 09:05:08 -0000	1.1.309.1
+++ libc/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -38,8 +38,6 @@
 
 ifeq ($(strip $(ADD_LIBGCC_FUNCTIONS)),y)
 LIBGCC_NEED=./tmp/libgcc-need.a
-else
-LIBGCC=
 endif
 
 DIRS = misc pwd_grp stdio string termios inet signal stdlib sysdeps unistd
Index: libc/inet/resolv.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/inet/resolv.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/inet/resolv.c	3 Feb 2005 09:05:09 -0000	1.1.309.1
+++ libc/inet/resolv.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -57,6 +57,8 @@
  *
  */
 
+#define _GNU_SOURCE /* for PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP */
+
 #define __FORCE_GLIBC
 #include <features.h>
 #include <string.h>
@@ -76,6 +78,8 @@
 #include <arpa/nameser.h>
 #include <sys/utsname.h>
 #include <sys/un.h>
+#include <sys/un.h>
+#include <sys/stat.h>
 
 #define MAX_RECURSE 5
 #define REPLY_TIMEOUT 10
@@ -184,10 +188,10 @@
 extern int __decode_answer(unsigned char * message, int offset,
 	struct resolv_answer * a);
 extern int __length_question(unsigned char * message, int offset);
+extern int __resolv_conf_modified(void);
 extern int __open_nameservers(void);
 extern void __close_nameservers(void);
 
-
 #ifdef L_encodeh
 int __encode_header(struct resolv_header *h, unsigned char *dest, int maxlen)
 {
@@ -830,10 +834,32 @@
 int __searchdomains;
 char * __searchdomain[MAX_SEARCH];
 #ifdef __UCLIBC_HAS_THREADS__
-pthread_mutex_t __resolv_lock = PTHREAD_MUTEX_INITIALIZER;
+pthread_mutex_t __resolv_lock = PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP;
 #endif
 
 /*
+ * Checks if /etc/resolv.conf was modified since last call.
+ * NOTE: The first call always returns 1.
+ */
+
+int __resolv_conf_modified(void)
+{
+	static time_t last_mtime = 0;
+	struct stat st;
+
+	if (stat("/etc/resolv.conf", &st) == -1) {
+		return 1;
+	}
+
+	if (last_mtime != (time_t)st.st_mtime) {
+		last_mtime = st.st_mtime;
+		return 1;
+	}
+
+	return 0;
+}
+
+/*
  *	we currently read formats not quite the same as that on normal
  *	unix systems, we can have a list of nameservers after the keyword.
  */
@@ -847,6 +873,10 @@
 	int argc;
 
 	BIGLOCK;
+	/* if /etc/resolv.conf was modified - reread it */
+	if (__resolv_conf_modified()) {
+		__close_nameservers();
+	}
 	if (__nameservers > 0) { 
 	    BIGUNLOCK;
 	    return 0;
Index: libc/misc/utmp/utent.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/misc/utmp/utent.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/misc/utmp/utent.c	3 Feb 2005 09:05:09 -0000	1.1.309.1
+++ libc/misc/utmp/utent.c	7 Apr 2005 07:56:43 -0000	1.2
@@ -10,6 +10,7 @@
    Modified by Erik Andersen for uClibc...
 */
 
+#define _GNU_SOURCE
 #include <features.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -24,7 +25,7 @@
 
 #ifdef __UCLIBC_HAS_THREADS__
 #include <pthread.h>
-static pthread_mutex_t utmplock = PTHREAD_MUTEX_INITIALIZER;
+static pthread_mutex_t utmplock = PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP;
 # define LOCK	pthread_mutex_lock(&utmplock)
 # define UNLOCK	pthread_mutex_unlock(&utmplock);
 #else
@@ -55,6 +56,7 @@
     LOCK;
     if (read(utmp_fd, (char *) &static_utmp, sizeof(struct utmp)) != sizeof(struct utmp)) 
     {
+	UNLOCK;
 	return NULL;
     }
 
@@ -159,12 +161,16 @@
 
     if (getutid(utmp_entry) != NULL) {
 	lseek(static_fd, (off_t) - sizeof(struct utmp), SEEK_CUR);
-	if (write(static_fd, utmp_entry, sizeof(struct utmp)) != sizeof(struct utmp))
+	if (write(static_fd, utmp_entry, sizeof(struct utmp)) != sizeof(struct utmp)) {
+	    UNLOCK;
 	    return NULL;
+	}
     } else {
 	lseek(static_fd, (off_t) 0, SEEK_END);
-	if (write(static_fd, utmp_entry, sizeof(struct utmp)) != sizeof(struct utmp))
+	if (write(static_fd, utmp_entry, sizeof(struct utmp)) != sizeof(struct utmp)) {
+	    UNLOCK;
 	    return NULL;
+	}
     }
 
     UNLOCK;
Index: libc/stdio/popen.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/stdio/popen.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/stdio/popen.c	3 Feb 2005 09:05:09 -0000	1.1.309.1
+++ libc/stdio/popen.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -14,7 +14,8 @@
 
 /* uClinux-2.0 has vfork, but Linux 2.0 doesn't */
 #include <sys/syscall.h>
-#if ! defined __NR_vfork
+/* vfork makes trouble */
+#if 1 || !defined(__NR_vfork)
 #define vfork fork	
 #endif
 
Index: libc/stdlib/system.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/stdlib/system.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/stdlib/system.c	3 Feb 2005 09:05:09 -0000	1.1.309.1
+++ libc/stdlib/system.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -1,3 +1,5 @@
+#define _GNU_SOURCE /* we need TEMP_FAILURE_RETRY from unistd.h */
+#include <errno.h>
 #include <stdio.h>
 #include <stddef.h>
 #include <signal.h>
@@ -6,8 +8,11 @@
 
 /* uClinux-2.0 has vfork, but Linux 2.0 doesn't */
 #include <sys/syscall.h>
-#if ! defined __NR_vfork
-#define vfork fork	
+/* vfork makes trouble */
+#if 1 || !defined(__NR_vfork)
+# define FORK fork	
+#else
+# define FORK vfork
 #endif
 
 int __libc_system(char *command)
@@ -22,7 +27,7 @@
 	save_int = signal(SIGINT, SIG_IGN);
 	save_chld = signal(SIGCHLD, SIG_DFL);
 
-	if ((pid = vfork()) < 0) {
+	if ((pid = FORK()) < 0) {
 		signal(SIGQUIT, save_quit);
 		signal(SIGINT, save_int);
 		signal(SIGCHLD, save_chld);
@@ -44,7 +49,7 @@
 	printf("Waiting for child %d\n", pid);
 #endif
 
-	if (wait4(pid, &wait_val, 0, 0) == -1)
+	if (TEMP_FAILURE_RETRY (waitpid (pid, &wait_val, 0)) != pid)
 		wait_val = -1;
 
 	signal(SIGQUIT, save_quit);
Index: libc/stdlib/unix_grantpt.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/stdlib/unix_grantpt.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/stdlib/unix_grantpt.c	3 Feb 2005 09:05:09 -0000	1.1.309.1
+++ libc/stdlib/unix_grantpt.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -33,7 +33,8 @@
 
 /* uClinux-2.0 has vfork, but Linux 2.0 doesn't */
 #include <sys/syscall.h>
-#if ! defined __NR_vfork
+/* vfork makes trouble */
+#if 1 || !defined(__NR_vfork)
 #define vfork fork	
 #endif
 
Index: libc/stdlib/malloc-930716/malloc.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/stdlib/malloc-930716/malloc.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/stdlib/malloc-930716/malloc.c	3 Feb 2005 09:05:09 -0000	1.1.309.1
+++ libc/stdlib/malloc-930716/malloc.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -145,8 +145,10 @@
     return result;
 }
 
+void * malloc (size_t size) __attribute__ ((weak, alias ("__malloc")));
+
 /* Allocate memory from the heap. */
-void * malloc (size_t size)
+void * __malloc (size_t size)
 {
     void * ptr;
     LOCK;
Index: libc/stdlib/malloc-930716/realloc.c
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/stdlib/malloc-930716/realloc.c,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/stdlib/malloc-930716/realloc.c	3 Feb 2005 09:05:09 -0000	1.1.309.1
+++ libc/stdlib/malloc-930716/realloc.c	3 Feb 2005 10:35:42 -0000	1.2
@@ -28,12 +28,15 @@
 # define UNLOCK
 #endif
 
+void * realloc (void *ptr, size_t size) 
+	__attribute__ ((weak, alias ("__realloc")));
+
 /* Resize the given region to the new size, returning a pointer
    to the (possibly moved) region.  This is optimized for speed;
    some benchmarks seem to indicate that greater compactness is
    achieved by unconditionally allocating and copying to a
    new region. */
-void * realloc (void *ptr, size_t size)
+void * __realloc (void *ptr, size_t size)
 {
     void *result, *previous;
     size_t block, blocks, type;
Index: libc/sysdeps/linux/common/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/sysdeps/linux/common/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/sysdeps/linux/common/Makefile	3 Feb 2005 09:05:10 -0000	1.1.309.1
+++ libc/sysdeps/linux/common/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -26,7 +26,7 @@
 	truncate64.c getrlimit64.c setrlimit64.c creat64.c \
 	llseek.c pread_write.c _exit.c sync.c getdirname.c \
 	sendfile64.c xstatconv.c getdents.c getdents64.c vfork.c \
-	ulimit.c
+	ulimit.c sigqueue.c
 ifneq ($(strip $(EXCLUDE_BRK)),y)
 CSRC+=sbrk.c
 endif
Index: libc/sysdeps/linux/common/sigqueue.c
===================================================================
RCS file: libc/sysdeps/linux/common/sigqueue.c
diff -N libc/sysdeps/linux/common/sigqueue.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ libc/sysdeps/linux/common/sigqueue.c	3 Feb 2005 10:35:42 -0000	1.1
@@ -0,0 +1,63 @@
+/* Copyright (C) 1997, 1998, 2000 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, write to the Free
+   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+   02111-1307 USA.  */
+
+#include <features.h>
+#include <unistd.h>
+#include <errno.h>
+#include <endian.h>
+#include <stdint.h>
+#include <string.h>
+#include <signal.h>
+#include <sys/types.h>
+#include <sys/syscall.h>
+
+#ifndef INLINE_SYSCALL
+#define INLINE_SYSCALL(name, nr, args...) __syscall_rt_sigqueueinfo (args)
+#define __NR___syscall_rt_sigqueueinfo __NR_rt_sigqueueinfo
+static inline _syscall3(int, __syscall_rt_sigqueueinfo, pid_t, pid, int, sig, siginfo_t *, __unbounded);
+#endif
+
+
+#ifdef __NR_rt_sigqueueinfo
+/* Return any pending signal or wait for one for the given time.  */
+int
+__sigqueue (pid_t pid, int sig, const union sigval val)
+{
+  siginfo_t info;
+
+  /* First, clear the siginfo_t structure, so that we don't pass our
+     stack content to other tasks.  */
+  memset (&info, 0, sizeof (siginfo_t));
+  /* We must pass the information about the data in a siginfo_t value.  */
+  info.si_signo = sig;
+  info.si_code = SI_QUEUE;
+  info.si_pid = __getpid ();
+  info.si_uid = getuid ();
+  info.si_value = val;
+
+  return INLINE_SYSCALL (rt_sigqueueinfo, 3, pid, sig, __ptrvalue (&info));
+}
+weak_alias (__sigqueue, sigqueue)
+#else
+int
+__sigqueue (pid_t pid, int sig, const union sigval val)
+{
+  __set_errno (ENOSYS);
+  return -1;
+}
+#endif
Index: libc/sysdeps/linux/powerpc/__longjmp.S
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/sysdeps/linux/powerpc/__longjmp.S,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/sysdeps/linux/powerpc/__longjmp.S	3 Feb 2005 09:05:11 -0000	1.1.309.1
+++ libc/sysdeps/linux/powerpc/__longjmp.S	3 Feb 2005 10:35:42 -0000	1.2
@@ -24,7 +24,7 @@
 #include <bits/setjmp.h>
 
 
-#ifdef __UCLIBC_HAS_FLOATS__ && ! defined __UCLIBC_HAS_SOFT_FLOAT__
+#if defined __UCLIBC_HAS_FLOATS__ && ! defined __UCLIBC_HAS_SOFT_FLOAT__
 #define FP(x...) x
 #else
 #define FP(x...)
Index: libc/sysdeps/linux/powerpc/setjmp.S
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libc/sysdeps/linux/powerpc/setjmp.S,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libc/sysdeps/linux/powerpc/setjmp.S	3 Feb 2005 09:05:11 -0000	1.1.309.1
+++ libc/sysdeps/linux/powerpc/setjmp.S	3 Feb 2005 10:35:42 -0000	1.2
@@ -23,7 +23,7 @@
 #define _SETJMP_H
 #include <bits/setjmp.h>
 
-#ifdef __UCLIBC_HAS_FLOATS__ && ! defined __UCLIBC_HAS_SOFT_FLOAT__
+#if defined  __UCLIBC_HAS_FLOATS__ && ! defined __UCLIBC_HAS_SOFT_FLOAT__
 #define FP(x...) x
 #else
 #define FP(x...)
Index: libcrypt/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libcrypt/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libcrypt/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ libcrypt/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -51,7 +51,7 @@
 	$(LD) $(LDFLAGS) -soname=$(LIBCRYPT_SHARED).$(MAJOR_VERSION) \
 		-o $(LIBCRYPT_SHARED_FULLNAME) --whole-archive $(LIBCRYPT) \
 		--no-whole-archive $(TOPDIR)/libc/misc/internals/interp.o \
-		-L$(TOPDIR)/lib -lc;
+		-L$(TOPDIR)/lib -lc $(LDADD_LIBFLOAT) $(LIBGCC);
 	install -d $(TOPDIR)lib
 	rm -f $(TOPDIR)lib/$(LIBCRYPT_SHARED_FULLNAME) $(TOPDIR)lib/$(LIBCRYPT_SHARED).$(MAJOR_VERSION)
 	install -m 644 $(LIBCRYPT_SHARED_FULLNAME) $(TOPDIR)lib;
Index: libintl/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libintl/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libintl/Makefile	3 Feb 2005 09:05:04 -0000	1.1.309.1
+++ libintl/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -54,7 +54,7 @@
 	$(LD) $(LDFLAGS) -soname=$(LIBINTL_SHARED).$(MAJOR_VERSION) \
 		-o $(LIBINTL_SHARED_FULLNAME) --whole-archive $(LIBINTL) \
 		--no-whole-archive $(TOPDIR)/libc/misc/internals/interp.o \
-		-L$(TOPDIR)/lib -lc;
+		-L$(TOPDIR)/lib -lc $(LDADD_LIBFLOAT) $(LIBGCC);
 	install -d $(TOPDIR)lib
 	rm -f $(TOPDIR)lib/$(LIBINTL_SHARED_FULLNAME) $(TOPDIR)lib/$(LIBINTL_SHARED).$(MAJOR_VERSION)
 	install -m 644 $(LIBINTL_SHARED_FULLNAME) $(TOPDIR)lib/;
Index: libm/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libm/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libm/Makefile	3 Feb 2005 09:05:05 -0000	1.1.309.1
+++ libm/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -57,7 +57,7 @@
          s_asinh.c s_atan.c s_cbrt.c s_ceil.c s_copysign.c s_cos.c\
          s_erf.c s_expm1.c s_fabs.c s_finite.c s_floor.c s_frexp.c\
          s_ilogb.c s_ldexp.c s_lib_version.c s_log1p.c s_logb.c\
-         s_matherr.c s_modf.c s_nextafter.c s_rint.c s_scalbn.c\
+         s_matherr.c s_modf.c s_nextafter.c s_scalbn.c\
          s_signgam.c s_significand.c s_sin.c s_tan.c s_tanh.c\
          w_acos.c w_acosh.c w_asin.c w_atan2.c w_atanh.c w_cabs.c\
          w_cosh.c w_drem.c w_exp.c w_fmod.c w_gamma.c w_gamma_r.c\
@@ -69,11 +69,11 @@
 CSRC =   w_acos.c w_asin.c s_atan.c w_atan2.c s_ceil.c s_cos.c \
 	 w_cosh.c w_exp.c s_fabs.c s_floor.c w_fmod.c s_frexp.c \
 	 s_ldexp.c w_log.c w_log10.c s_modf.c w_pow.c s_sin.c \
-	 w_sinh.c w_sqrt.c s_tan.c s_tanh.c 
+	 w_sinh.c w_sqrt.c w_sqrtf.c s_tan.c s_tanh.c 
 CSRC+=   s_expm1.c s_scalbn.c s_copysign.c e_acos.c e_asin.c e_atan2.c \
 	 k_cos.c e_cosh.c e_exp.c e_fmod.c e_log.c e_log10.c e_pow.c \
 	 k_sin.c e_sinh.c e_sqrt.c k_tan.c e_rem_pio2.c k_rem_pio2.c \
-	 s_finite.c
+	 s_finite.c s_rint.c
 endif
 COBJS=$(patsubst %.c,%.o, $(CSRC))
 OBJS=$(COBJS)
@@ -99,7 +99,7 @@
 	    $(LD) $(LDFLAGS) -soname=$(LIBM_SHARED).$(MAJOR_VERSION) \
 		-o $(LIBM_SHARED_FULLNAME) --whole-archive $(LIBM) \
 		--no-whole-archive $(TOPDIR)/libc/misc/internals/interp.o \
-		-L$(TOPDIR)/lib -lc; \
+		-L$(TOPDIR)/lib -lc $(LDADD_LIBFLOAT) $(LIBGCC); \
 	    install -d $(TOPDIR)lib; \
 	    rm -f $(TOPDIR)lib/$(LIBM_SHARED_FULLNAME) $(TOPDIR)lib/$(LIBM_SHARED).$(MAJOR_VERSION); \
 	    install -m 644 $(LIBM_SHARED_FULLNAME) $(TOPDIR)lib; \
Index: libnsl/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libnsl/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libnsl/Makefile	3 Feb 2005 09:05:04 -0000	1.1.309.1
+++ libnsl/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -46,7 +46,7 @@
 	$(LD) $(LDFLAGS) -soname=$(LIBNSL_SHARED).$(MAJOR_VERSION) \
 		-o $(LIBNSL_SHARED_FULLNAME) --whole-archive $(LIBNSL) \
 		--no-whole-archive $(TOPDIR)/libc/misc/internals/interp.o \
-		-L$(TOPDIR)/lib -lc;
+		-L$(TOPDIR)/lib -lc $(LDADD_LIBFLOAT) $(LIBGCC);
 	install -d $(TOPDIR)lib
 	rm -f $(TOPDIR)lib/$(LIBNSL_SHARED_FULLNAME) $(TOPDIR)lib/$(LIBNSL_SHARED).$(MAJOR_VERSION)
 	install -m 644 $(LIBNSL_SHARED_FULLNAME) $(TOPDIR)lib;
Index: libpthread/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libpthread/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libpthread/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ libpthread/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -81,7 +81,8 @@
 		$(LD) $(LDFLAGS_PTHREADS) -soname=$(LIBPTHREAD_SHARED).$(MAJOR_VERSION) \
 			-o $(LIBPTHREAD_SHARED_FULLNAME) $(START_FILES) --whole-archive $(LIBPTHREAD) \
 			--no-whole-archive $(TOPDIR)/libc/misc/internals/interp.o \
-			-L$(TOPDIR)/lib -lc $(END_FILES); \
+			-L$(TOPDIR)/lib -lc $(LDADD_LIBFLOAT) $(LIBGCC) \
+			$(END_FILES); \
 		install -d $(TOPDIR)lib; \
 		rm -f $(TOPDIR)lib/$(LIBPTHREAD_SHARED_FULLNAME) \
 			$(TOPDIR)lib/$(LIBPTHREAD_SHARED).$(MAJOR_VERSION); \
@@ -96,7 +97,8 @@
 		$(LD) $(LDFLAGS) -soname=$(LIBTHREAD_DB_SHARED).$(MAJOR_VERSION) \
 			-o $(LIBTHREAD_DB_SHARED_FULLNAME) $(START_FILES) --whole-archive $(LIBTHREAD_DB) \
 			--no-whole-archive $(TOPDIR)/libc/misc/internals/interp.o \
-			-L$(TOPDIR)/lib -lc $(END_FILES); \
+			-L$(TOPDIR)/lib -lc $(LDADD_LIBFLOAT) $(LIBGCC) \
+			$(END_FILES); \
 		install -d $(TOPDIR)lib; \
 		rm -f $(TOPDIR)lib/$(LIBTHREAD_DB_SHARED_FULLNAME) \
 			$(TOPDIR)lib/$(LIBTHREAD_DB_SHARED).$(MAJOR_VERSION); \
@@ -104,7 +106,7 @@
 		(cd $(TOPDIR)lib && ln -sf $(LIBTHREAD_DB_SHARED_FULLNAME) \
 			$(LIBTHREAD_DB_SHARED)); \
 		(cd $(TOPDIR)lib && ln -sf $(LIBTHREAD_DB_SHARED_FULLNAME) \
-			$(LIBTHREAD_DB_SHARED).1); \
+			$(LIBTHREAD_DB_SHARED).$(MAJOR_VERSION)); \
 	fi;
 
 tags:
Index: libresolv/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libresolv/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libresolv/Makefile	3 Feb 2005 09:05:03 -0000	1.1.309.1
+++ libresolv/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -52,7 +52,7 @@
 	$(LD) $(LDFLAGS) -soname=$(LIBRESOLV_SHARED).$(MAJOR_VERSION) \
 		-o $(LIBRESOLV_SHARED_FULLNAME) --whole-archive $(LIBRESOLV) \
 		--no-whole-archive $(TOPDIR)/libc/misc/internals/interp.o \
-		-L$(TOPDIR)/lib -lc;
+		-L$(TOPDIR)/lib -lc $(LDADD_LIBFLOAT) $(LIBGCC);
 	install -d $(TOPDIR)lib
 	rm -f $(TOPDIR)lib/$(LIBRESOLV_SHARED_FULLNAME) $(TOPDIR)lib/$(LIBRESOLV_SHARED).$(MAJOR_VERSION)
 	install -m 644 $(LIBRESOLV_SHARED_FULLNAME) $(TOPDIR)lib;
Index: libutil/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/libutil/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- libutil/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ libutil/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -53,7 +53,7 @@
 	$(LD) $(LDFLAGS) -soname=$(LIBUTIL_SHARED).$(MAJOR_VERSION) \
 		-o $(LIBUTIL_SHARED_FULLNAME) --whole-archive $(LIBUTIL) \
 		--no-whole-archive $(TOPDIR)/libc/misc/internals/interp.o \
-		-L$(TOPDIR)/lib -lc;
+		-L$(TOPDIR)/lib -lc $(LDADD_LIBFLOAT) $(LIBGCC);
 	install -d $(TOPDIR)lib
 	rm -f $(TOPDIR)lib/$(LIBUTIL_SHARED_FULLNAME) $(TOPDIR)lib/$(LIBUTIL_SHARED).$(MAJOR_VERSION)
 	install -m 644 $(LIBUTIL_SHARED_FULLNAME) $(TOPDIR)lib/;
Index: test/args/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/args/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/args/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/args/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/assert/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/assert/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/assert/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/assert/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/crypt/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/crypt/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/crypt/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/crypt/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -17,7 +17,7 @@
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
 
-
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/ctype/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/ctype/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/ctype/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/ctype/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/malloc/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/malloc/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/malloc/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/malloc/Makefile	3 Feb 2005 10:35:42 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/math/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/math/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/math/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/math/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -17,7 +17,7 @@
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
 
-
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 CFLAGS+=-D_GNU_SOURCE -DNO_LONG_DOUBLE
Index: test/misc/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/misc/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/misc/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/misc/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/mmap/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/mmap/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/mmap/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/mmap/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/pthread/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/pthread/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/pthread/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/pthread/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -1,3 +1,4 @@
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/pwd_grp/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/pwd_grp/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/pwd_grp/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/pwd_grp/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/setjmp/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/setjmp/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/setjmp/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/setjmp/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/signal/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/signal/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/signal/Makefile	3 Feb 2005 09:05:05 -0000	1.1.309.1
+++ test/signal/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/silly/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/silly/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/silly/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/silly/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/stat/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/stat/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/stat/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/stat/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/stdlib/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/stdlib/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/stdlib/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/stdlib/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/string/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/string/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/string/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/string/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/termios/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/termios/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/termios/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/termios/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
Index: test/unistd/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/uClibc/test/unistd/Makefile,v
retrieving revision 1.1.309.1
retrieving revision 1.2
diff -u -r1.1.309.1 -r1.2
--- test/unistd/Makefile	3 Feb 2005 09:05:06 -0000	1.1.309.1
+++ test/unistd/Makefile	3 Feb 2005 10:35:43 -0000	1.2
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
+TOPDIR=../../
 TESTDIR=../
 include $(TESTDIR)/Rules.mak
 
